edu.isi.pegasus.planner.code.generator.condor.style

## Class CondorGlideinWMS

- java.lang.Object
- - edu.isi.pegasus.planner.code.generator.condor.style.Abstract
  - - edu.isi.pegasus.planner.code.generator.condor.style.Condor
    - - edu.isi.pegasus.planner.code.generator.condor.style.CondorGlideinWMS

All Implemented Interfaces:
  CondorStyle

    public class CondorGlideinWMS
    extends Condor

Jobs targeting glidinWMS pools. Basically standard Condor jobs with special requirements and ranks

Version:
  $Revision: 2090 $
Author:
  Mats Rynge

### Field Summary

Fields
`static java.lang.String` `STYLE_NAME` The name of the style being implemented.

### Fields inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Condor

`LOCAL_UNIVERSE, PARALLEL_UNIVERSE, PEGASUS_CONNECT_STDIN_KEY, PEGASUS_EXECUTE_IN_INITIAL_DIR, PEGASUS_INITIAL_DIR_KEY, PEGASUS_LITE_LOCAL_FILE_BASENAME, PEGASUS_TRANSFER_INPUT_FILES_KEY, PEGASUS_TRANSFER_OUTPUT_FILES_KEY, SCHEDULER_UNIVERSE, STANDARD_UNIVERSE, TRANSFER_EXECUTABLE_KEY, UNIVERSE_KEY, VANILLA_UNIVERSE`

### Fields inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`mCredentialFactory, mLogger, mProps, mSiteStore`

### Fields inherited from interface edu.isi.pegasus.planner.code.generator.condor.CondorStyle

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`CondorGlideinWMS()` The default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Job job)` Applies the condor style to the job.

### Methods inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Condor

`getSubmitHostPathToPegasusLiteLocal, initialize`

### Methods inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`apply, applyCredentialsForJobSubmission, applyCredentialsForLocalExec, applyCredentialsForRemoteExec, complainForCredential, errorMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STYLE_NAME

    public static final java.lang.String STYLE_NAME

The name of the style being implemented.

See Also:
  Constant Field Values

### Constructor Detail

#### CondorGlideinWMS

    public CondorGlideinWMS()

The default constructor.

### Method Detail

#### apply

    public void apply(Job job)
               throws CondorStyleException

Description copied from class: `Condor`
Applies the condor style to the job. Changes the job so that it results in generation of a condor style submit file that can be directly submitted to the underlying condor scheduler on the submit host, without going through CondorG. This applies to the case of - local site execution - submitting directly to the condor pool of which the submit host is a part of.

Specified by:
  `apply` in interface `CondorStyle`
Overrides:
  `apply` in class `Condor`
Parameters:
  `job` - the job on which the style needs to be applied.
Throws:
  `CondorStyleException` - in case of any error occuring code generation.